#
# spec file for package acarsdec
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2017-2022, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define srcname %{name}-%{name}-%{version}
Name:           acarsdec
Version:        3.7
Release:        2.4
Summary:        ACARS SDR decoder
License:        GPL-2.0-or-later
URL:            https://github.com/TLeconte/acarsdec
#Git-Clone:     https://github.com/TLeconte/acarsdec.git
Source:         https://github.com/TLeconte/acarsdec/archive/acarsdec-%{version}.tar.gz#/%{srcname}.tar.gz
Patch0:         reproducible.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libacars-2) >= 2.0.0
BuildRequires:  pkgconfig(libairspy)
BuildRequires:  pkgconfig(librtlsdr)
BuildRequires:  pkgconfig(sndfile)
Provides:       bundled(cJSON)

%description
A multi-channels acars decoder with built-in rtl_sdr front end.
It comes with a database backend : acarsserv to store receved acars messages.

%prep
%autosetup -n %{srcname} -p1

%build
%cmake \
  -DLIBRTL=1 \
  -DLIBAIR=1 \
  -DMQTT=0
%make_build

%install
%cmake_install

%files
%doc README.md
%{_bindir}/acarsdec

%changelog
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Tue Dec 27 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Fix SourceURL
* Mon Oct 10 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 3.7
  * rtl_sdr optimization
  * add skip reassembly option
  * add sublabel and mfi fields to JSON output
* Tue Jul 19 2022 Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to avoid compile-time CPU-detection (boo#1100677)
* Sun Jul 17 2022 Martin Hauke <mardnh@gmx.de>
- Update to version 3.6
  Fixes:
  * New thread model to fix races
  * Better malloc error handling
  New feature:
  * MQTT output (-T -U -P options see help)
- Remove patch:
  * acarsdec-fix-makefile.diff
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Mon Jun 26 2017 mardnh@gmx.de
- Initial package, version 3.4
